## dosfstools 3.0.12-0cssu0.4

=== debian/changelog ===
dosfstools (1:3.0.12-0cssu0.4) unstable; urgency=low

  * Checking boot sector for dirty bit

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 08 Sep 2014 10:52:50 +0200

dosfstools (1:3.0.12-0cssu0.3) unstable; urgency=low

  * Fix install paths
    - Now data will be installed to /usr/share instead /share

 -- Pali Rohár <pali.rohar@gmail.com>  Sun, 07 Jul 2013 22:06:58 +0200

dosfstools (1:3.0.12-0cssu0.2) unstable; urgency=low

  * fix build rules:
    - debian/patches - remove 03_dosfslabel_fix_segfault_no_volume_entry.patch.diff as it duplicates 02_fat32_label.patch
    - debian/rules - apply patches in debian/patches
    - debian/control - add quilt as a build dependency

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Tue, 12 Apr 2012 17:59:45 +0300

dosfstools (1:3.0.12-0cssu0) unstable; urgency=low

  * Pull from upstream, remaining changes:
    - debian/patches/02_fat32_label.patch: resolve an error thrown by
      dosfslabel when trying to label.

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Tue, 12 Apr 2012 17:59:45 +0300
