=== debian/control ===
Source: dosfstools
Section: otherosfs
Priority: optional
Maintainer: Ivaylo Dimitrov <freemangordon@abv.bg>
Build-Depends: debhelper (>= 5), libosso-dev, quilt
Standards-Version: 3.8.0
Vcs-Browser: https://git.gitorious.org/community-ssu/dosfstools.git
Vcs-Git: git://gitorious.org/community-ssu/dosfstools.git

Package: dosfstools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utilities for making and checking MS-DOS FAT filesystems
 The dosfstools package includes the mkdosfs (aka mkfs.dos and mkfs.vfat) and
 dosfsck (aka fsck.msdos and fsck.vfat) utilities, which respectively make and
 check MS-DOS FAT filesystems on hard drives or on floppies.
 .
 This version uses the enhanced boot sector/superblock format of DOS 3.3+ as
 well as provides a default dummy boot sector code.

Package: dosfstools-dbg
Section: devel
Priority: extra
Architecture: any
Depends: dosfstools (= ${binary:Version})
Description: utilities for making and checking MS-DOS FAT filesystems (debug)
 The dosfstools package includes the mkdosfs (aka mkfs.dos and mkfs.vfat) and
 dosfsck (aka fsck.msdos and fsck.vfat) utilities, which respectively make and
 check MS-DOS FAT filesystems on hard drives or on floppies.
 .
 This version uses the enhanced boot sector/superblock format of DOS 3.3+ as
 well as provides a default dummy boot sector code.
 .
 This package contains the debugging symbols.
