## dosfstools 3.0.13

=== debian/changelog ===
dosfstools (3.0.13-1ubuntu0.1) quantal; urgency=low

  * Add dosfstools-udeb package, mainly so that we can use mkdosfs in d-i
    instead of deprecated and semi-broken libparted code (LP: #1065281).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Jan 2013 14:06:47 +0000

dosfstools (3.0.13-1) unstable; urgency=low

  * Merging upstream version 3.0.13.
  * Switching to xz compression.
  * Updating to debhelper version 9.
  * Updating to standards version 3.9.3.
  * Updating copyright file to format 1.0.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jun 2012 19:15:41 +0200
