=== debian/control ===
Source: dosfstools
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://www.daniel-baumann.ch/software/dosfstools/

Package: dosfstools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utilities for making and checking MS-DOS FAT filesystems
 The dosfstools package includes the mkdosfs (aka mkfs.dos and mkfs.vfat) and
 dosfsck (aka fsck.msdos and fsck.vfat) utilities, which respectively make and
 check MS-DOS FAT filesystems on hard drives or on floppies.
 .
 This version uses the enhanced boot sector/superblock format of DOS 3.3+ as
 well as provides a default dummy boot sector code.

Package: dosfstools-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, dosfstools (= ${binary:Version})
Description: utilities for making and checking MS-DOS FAT filesystems (debug)
 The dosfstools package includes the mkdosfs (aka mkfs.dos and mkfs.vfat) and
 dosfsck (aka fsck.msdos and fsck.vfat) utilities, which respectively make and
 check MS-DOS FAT filesystems on hard drives or on floppies.
 .
 This package contains the debugging symbols.

Package: dosfstools-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utilities for making and checking MS-DOS FAT filesystems
