=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr SBINDIR=/sbin

	# Removing useless files
	rm -f debian/tmp/usr/share/doc/dosfstools/ChangeLog

override_dh_auto_test:
	# disabled

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

override_dh_strip:
	dh_strip --dbg-package=dosfstools-dbg
