=== debian/changelog ===
dosfstools (3.0.14-1ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use correct compiler when cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Feb 2013 13:31:07 +0000

dosfstools (3.0.14-1) unstable; urgency=low

  * Merging upstream version 3.0.14.
  * Updating to standards version 3.9.4.
  * Updating copyright file for 2013.
  * Dropping dpkg compression level.
  * Adding dpkg-source local-options.
  * Applying slightly modified patch from Colin Watson
    <cjwatson@ubuntu.com> to add a udeb package, mainly so that d-i can
    use mkdosfs instead of deprecated and semi-broken libparted code
    (Closes: #698433).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 23 Jan 2013 13:42:32 +0100

dosfstools (3.0.13-1ubuntu2) raring; urgency=low

  * Add dosfstools-udeb package, mainly so that we can use mkdosfs in d-i
    instead of deprecated and semi-broken libparted code (LP: #1065281).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Jan 2013 20:09:57 +0000

dosfstools (3.0.13-1ubuntu1) raring; urgency=low

  * Use correct compiler when cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Dec 2012 14:35:46 +0000
