=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.daniel-baumann.ch/software/dosfstools/
 
 Package: dosfstools
@@ -35,4 +35,4 @@
 Section: debian-installer
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: utilities for making and checking MS-DOS FAT filesystems
+Description: utilities for making and checking MS-DOS FAT filesystems (udeb)
