## dosfstools 3.0.23

=== debian/changelog ===
dosfstools (3.0.23-1tanglu1) staging; urgency=low

  * Don't remove legacy symlinks. They're needed by d-i 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 19 Oct 2013 00:39:58 +0200

dosfstools (3.0.23-1) experimental; urgency=low

  * Updating vcs fields.
  * Merging upstream version 3.0.23.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 15 Oct 2013 08:09:23 +0200

dosfstools (3.0.22-1) experimental; urgency=low

  * Merging upstream version 3.0.22:
    - improves bootability of hdd filesystems (Closes: #552673, #557061).
    - allows writing all lowercase labels (Closes: #714971).
  * Using uninstall-symlinks target rather than manual removal in rules.
  * Calling dh_install with --fail-missing in rules.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 19 Jul 2013 07:06:36 +0200

dosfstools (3.0.21-2) experimental; urgency=low

  * Adding vcs fields.
  * Wrapping control fields.
  * Avoid pulling in legacy symlinks in udeb.
  * Also including fatlabel in udeb.
  * Dropping legacy symlinks.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 17 Jul 2013 12:48:19 +0200

dosfstools (3.0.21-1) experimental; urgency=low

  * Merging upstream version 3.0.21.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 16 Jul 2013 08:50:22 +0200

dosfstools (3.0.20-1) experimental; urgency=low

  * Merging upstream version 3.0.20:
    - Fixing default sectors per cluster for FAT32 (Closes: #690062).
    - Softening message about different boot sectors a bit (Closes: #704198).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 12 Jun 2013 12:29:24 +0200

dosfstools (3.0.19-1) experimental; urgency=low

  * Updating package descriptions.
  * Merging upstream version 3.0.19.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 11 Jun 2013 18:50:53 +0200

dosfstools (3.0.18-1) experimental; urgency=low

  * Merging upstream version 3.0.18:
    - dosfslabel: Do not read beyond string length (Closes: #709587).
  * Updating udeb debhelper install file for upstreams file renamings.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 06 Jun 2013 09:56:40 +0200

dosfstools (3.0.17-2) experimental; urgency=low

  * Building dosfstools on linux architectures only.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 06 Jun 2013 08:14:53 +0200

dosfstools (3.0.17-1) experimental; urgency=low

  * Shortening links to upstream homepage.
  * Merging upstream version 3.0.17:
    - fixes segfault in dosfslabel (Closes: #702392).
    - clarifies label max lenghts in manpage (Closes: #655953).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 29 May 2013 10:24:54 +0200

dosfstools (3.0.16-2) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 19:58:06 +0100

dosfstools (3.0.16-1) unstable; urgency=low

  * Merging upstream version 3.0.16.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 01 Mar 2013 09:03:53 +0100

dosfstools (3.0.15-1) unstable; urgency=low

  [ Colin Watson ]
  * Using correct compiler when cross-building.

  [ Daniel Baumann ]
  * Merging upstream version 3.0.15:
    - Bugfix root directory allocation (Closes: #639393).
    - Bugfix messages about unicode filenames (Closes: #596336).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 21 Feb 2013 15:20:07 +0100
