=== debian/control ===
Source: dosfstools
Section: otherosfs
Priority: optional
Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://daniel-baumann.ch/software/dosfstools/
Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/dosfstools.git
Vcs-Git: git://daniel-baumann.ch/git/debian/packages/dosfstools.git

Package: dosfstools
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: utilities for making and checking MS-DOS FAT filesystems
 The dosfstools package includes the mkfs.fat and fsck.fat utilities, which
 respectively make and check MS-DOS FAT filesystems.

Package: dosfstools-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends:
 ${misc:Depends},
 dosfstools (= ${binary:Version}),
Description: utilities for making and checking MS-DOS FAT filesystems (debug)
 The dosfstools package includes the mkfs.fat and fsck.fat utilities, which
 respectively make and check MS-DOS FAT filesystems.
 .
 This package contains the debugging symbols.

Package: dosfstools-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: utilities for making and checking MS-DOS FAT filesystems (udeb)
