=== debian/changelog ===
dosfstools (3.0.24-1) experimental; urgency=low

  * Updating to standards version 3.9.5.
  * Merging upstream version 3.0.24.
  * Including legacy symlinks.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 23 Nov 2013 10:47:09 +0100
