## dosfstools 3.0.25

=== debian/changelog ===
dosfstools (3.0.25-1) experimental; urgency=low

  * Merging upstream version 3.0.25.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 17 Jan 2014 07:14:46 +0100
