=== debian/changelog ===
dosfstools (3.0.26-1) experimental; urgency=low

  * Merging upstream version 3.0.26.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 07 Mar 2014 18:52:50 +0100
