=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://daniel-baumann.ch/software/dosfstools/
 Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/dosfstools.git
 Vcs-Git: git://daniel-baumann.ch/git/debian/packages/dosfstools.git
