=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,6 @@
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr SBINDIR=/sbin
 
-	# Removing legacy symlinks
-	#$(MAKE) DESTDIR=debian/tmp PREFIX=/usr SBINDIR=/sbin uninstall-symlinks
-
 	# Removing useless files
 	rm -f debian/tmp/usr/share/doc/dosfstools/ChangeLog
