=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: dosfstools
 Section: otherosfs
 Priority: optional
-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
+Maintainer: Andreas Bombe <aeb@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
-Homepage: http://daniel-baumann.ch/software/dosfstools/
-Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/dosfstools.git
-Vcs-Git: git://daniel-baumann.ch/git/debian/packages/dosfstools.git
+Standards-Version: 3.9.6
+Homepage: https://github.com/dosfstools/dosfstools
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/dosfstools.git/
+Vcs-Git: git://anonscm.debian.org/collab-maint/dosfstools.git
 
 Package: dosfstools
 Architecture: linux-any
