=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dosfstools
 Section: otherosfs
 Priority: optional
-Maintainer: Andreas Bombe <aeb@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andreas Bombe <aeb@debian.org>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.6
 Homepage: https://github.com/dosfstools/dosfstools
