## dosfstools 4.1

=== debian/changelog ===
dosfstools (4.1-1) unstable; urgency=medium

  * New upstream version 4.1
  * Remove patch for heads/sectors default, integrated upstream
  * Add xxd to Build-Depends and re-enable dh_auto_test to run test suite
  * Bump debhelper compat level to 10
  * Remove --parallel and --with autoreconf from dh invocation, these are
    default with debhelper 10

 -- Andreas Bombe <aeb@debian.org>  Wed, 25 Jan 2017 00:48:34 +0100

dosfstools (4.0-2) unstable; urgency=medium

  * Add patch to default to 64/32 heads/sectors for filesystems smaller than
    512 MB (Closes: #823881)

 -- Andreas Bombe <aeb@debian.org>  Wed, 11 May 2016 04:09:18 +0200

dosfstools (4.0-1) unstable; urgency=medium

  * New Upstream version 4.0
  * Add debian/NEWS entry about reinstated alignment by mkfs.fat
  * Add Public Domain license for src/blkdev/* and update copyright lines in
    debian/copyright
  * Bump Standards-Version to 3.9.8

 -- Andreas Bombe <aeb@debian.org>  Sat, 07 May 2016 00:31:35 +0200

dosfstools (3.99.0~git20160203-1) experimental; urgency=medium

  * New Upstream snapshot version 3.99.0~git20160203
    - removes unneeded linux/fd.h include
    - reintroduces the missing historic documentation
  * Switch Vcs-Browser and Vcs-Git URLs to https transport

 -- Andreas Bombe <aeb@debian.org>  Wed, 03 Feb 2016 04:08:32 +0100

dosfstools (3.99.0~git20160127-2) experimental; urgency=medium

  * Add pkg-config to Build-Depends

 -- Andreas Bombe <aeb@debian.org>  Tue, 02 Feb 2016 01:19:58 +0100

dosfstools (3.99.0~git20160127-1) experimental; urgency=medium

  * New Upstream snapshot version 3.99.0~git20160127
    - new device probing in mkfs fixes long standing problems with
      misidentifying devices and randomly requiring the -I option
    - no longer Linux-only
  * Replace upstream/signing-key.asc with minimal export of the same key
  * Remove building of dosfstools-dbg, let automatic debug package be built
    instead
  * Adjust debian/rules for upstream change to autotools and add Build-Depends
    on dh-autoreconf
  * Change Architecture from linux-any to any
  * Add Build-Depends on libudev-dev for linux-any architectures
  * Remove override_dh_builddeb to enable xz compression, it is already
    default
  * Remove handling for cross compiling and let dh_auto_configure do it
    automatically

 -- Andreas Bombe <aeb@debian.org>  Mon, 01 Feb 2016 02:39:02 +0100
