=== debian/control ===
Source: dosfstools
Section: otherosfs
Priority: optional
Maintainer: Andreas Bombe <aeb@debian.org>
Build-Depends: debhelper (>= 10), dh-autoreconf, pkg-config,
 libudev-dev [linux-any], xxd
Standards-Version: 3.9.8
Homepage: https://github.com/dosfstools/dosfstools
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dosfstools.git/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/dosfstools.git

Package: dosfstools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: utilities for making and checking MS-DOS FAT filesystems
 The dosfstools package includes the mkfs.fat and fsck.fat utilities, which
 respectively make and check MS-DOS FAT filesystems.

Package: dosfstools-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: utilities for making and checking MS-DOS FAT filesystems (udeb)
