=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@}

override_dh_auto_configure:
	dh_auto_configure -- --sbindir=/sbin --enable-compat-symlinks

override_dh_auto_install:
	dh_auto_install

	# Removing useless files
	rm -f debian/tmp/usr/share/doc/dosfstools/ChangeLog

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --ddeb-migration='dosfstools-dbg (<< 3.99.0~)'
