=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://github.com/dosfstools/dosfstools/releases .*/v\d\S*/dosfstools-(\d\S*)\.tar\.(?:xz|gz|bz2)
