## dosfstools 4.2

=== debian/changelog ===
dosfstools (4.2-1) unstable; urgency=medium

  [ Andreas Bombe ]
  * New upstream version 4.2
    * fatlabel now additionally supports changing the volume ID (Closes:
      #563746)
    * fsck.fat handles reads user input by character instead of by line now,
      resolving some confusing reactions to input (Closes: #831671, #300505)
    * fsck.fat also offers a quit option on every prompt (Closes: #728355)
    * Update d/copyright, change Upstream-Contact to Pali Rohár
    * Remove Build-Depends on libudev-dev and pkg-config, not used anymore
  * No longer automatically enables Atari mode when running on Atari 68k Linux
    for predictable behavior across all hardware (Closes: #559003)
  * Increase debhelper compat to 13 and use new method to specify compat
    * Remove override of dh_missing in d/rules, default now with debhelper 13
  * Remove d/source/options with compression setting
  * Do not install superfluous COPYING file to /usr/share/doc
  * Add Rules-Requires-Root: no to d/control
  * Change d/watch file to version 4
  * Bump Standards-Version to 4.5.1

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

 -- Andreas Bombe <aeb@debian.org>  Mon, 08 Feb 2021 02:13:30 +0100

dosfstools (4.1-2) unstable; urgency=medium

  * Drop Build-Depends on dh-autoreconf, not needed with debhelper >= 10
  * Change Vcs-* fields in debian/control to salsa repository addresses
  * Raise debhelper compat level to 11
  * Use `dh_missing --fail-missing` instead of `dh_install --fail-missing`
  * Bump Standards-Version to 4.1.4, no changes necessary
  * Use https URL for debian/copyright Format field

 -- Andreas Bombe <aeb@debian.org>  Sun, 13 May 2018 00:59:39 +0200
