=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Andreas Bombe <aeb@debian.org>
-Build-Depends: debhelper (>= 10), dh-autoreconf, pkg-config,
- libudev-dev [linux-any], xxd
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 13), xxd
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://github.com/dosfstools/dosfstools
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dosfstools.git/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dosfstools.git
+Vcs-Browser: https://salsa.debian.org/debian/dosfstools
+Vcs-Git: https://salsa.debian.org/debian/dosfstools.git
 
 Package: dosfstools
 Architecture: any
