=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,7 @@
 
 	# Removing useless files
 	rm -f debian/tmp/usr/share/doc/dosfstools/ChangeLog
-
-override_dh_install:
-	dh_install --fail-missing
+	rm -f debian/tmp/usr/share/doc/dosfstools/COPYING
 
 override_dh_strip:
 	dh_strip --ddeb-migration='dosfstools-dbg (<< 3.99.0~)'
