=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dosfstools
 Section: otherosfs
 Priority: optional
-Maintainer: Andreas Bombe <aeb@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper-compat (= 13), xxd
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
