## dosfstools 4.2-1.1~really4.1

=== debian/changelog ===
dosfstools (4.2-1.1~really4.1-2) unstable; urgency=medium

  * Non-maintainer upload.
  * fix for calamares

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 18 Feb 2021 21:54:24 +0100
